package com.liquidnet.service.kylin.dto.param.ticketSystem;

import com.liquidnet.service.kylin.dto.vo.ticketSystem.STFieldListVo;
import com.liquidnet.service.kylin.dto.vo.ticketSystem.TicketPriceVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "STInsertTicketPriceParam", description = "详情")
public class STInsertTicketPriceParam implements Cloneable{
    @ApiModelProperty(value = "场次编码 [必传]")
    String sessionCode;
    @ApiModelProperty(value = "票价信息数组 [必传]")
    List<TicketPriceVo> priceList;

    private static final STInsertTicketPriceParam obj = new STInsertTicketPriceParam();

    public static STInsertTicketPriceParam getNew() {
        try {
            return (STInsertTicketPriceParam) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new STInsertTicketPriceParam();
    }
}